Subject: bug#65418: 29.1; Eglot: support clangd inactiveRegions extension

From: Filippo Argiolas <[email-masked]>
Date: Mon, 4 Sep 2023 06:09:26 +0200

On Mon, Sep 4, 2023 at 5:59 AM Filippo Argiolas
<[email-masked]> wrote:
>
> On Mon, Sep 4, 2023 at 3:06 AM João Távora <[email-masked]> wrote:
> >
> > On Mon, Sep 4, 2023 at 2:05 AM João Távora <[email-masked]> wrote:
> > >
> > > On Thu, Aug 31, 2023 at 6:28 PM Filippo Argiolas
> > > <[email-masked]> wrote:
> > > >
> > > > On Sun, Aug 27, 2023 at 3:58 PM João Távora <[email-masked]> wrote:
> > > > > Glad to help.  You're lucky I'm not some kind of wine connoisseur ;-)
> > > > > Make a patch for that (and remember to also include the exportation of
> > > > > the '--' symbols).
> > > > >
> > > >
> > > > Many thanks again! That code definitely made this work week more enjoyable ;-)
> > > >
> > > > Sorry for the delay with the patch, little time left these days for
> > > > side projects or even trivial contributions like this.
> > > > See if the attached patches could do!
> > >
> > > They were very helpful.  I just pushed heavily edited versions of
> > > them to master.  I used them as a starting point and credited you as
> > > co-author (I could have done the other way round, crediting myself
> > >  as co-author, but the changes I did were a bit too extensive for
> > > that).
>
> No problem for me, edit as much as you want! just glad to help.
> I'd be just as happy if you just thanked me in the commit message.

By the way I looked at your doc version and very much approve it. The
one about public API I think I don't even deserve co-authorship :-D

Filippo